unit uIEditorElegirDireccionEntrega;

interface

uses
  uBizContactos, uBizDireccionesContacto, uGUIBase;

type
  IEditorElegirDireccionEntrega = interface
  ['{A0F4DE3A-8FC6-43EC-A021-2FD7CB2A9D1B}']
    function GetContacto: IBizContacto;
    procedure SetContacto(const Value: IBizContacto);
    property Contacto : IBizContacto read GetContacto write SetContacto;

    procedure SetMensaje (const AValue: String);
    function GetMensaje: String;
    property Mensaje : String read GetMensaje write SetMensaje;

    function GetDireccionSeleccionada: IBizDireccionesContacto;
    property DireccionSeleccionada: IBizDireccionesContacto read GetDireccionSeleccionada;

    function ShowModal : Integer;
    procedure Release;    
  end;


implementation

end.

